interface UserConfig {
    fetch: {
        max_nodes: string;
    };
    github: {
        token: string;
        login: string;
    };
}
interface Organization {
    login: string;
    id: string;
    __typename: string;
}
interface Repository {
    name: string;
    id: string;
    org: Organization;
    active: boolean;
}
export default class FetchAffiliated {
    githubToken: string;
    githubLogin: string;
    maxQueryIncrement: number;
    log: any;
    cli: object;
    error: any;
    fetchedRepos: Array<Repository>;
    githubOrgs: Array<Organization>;
    errorRetry: number;
    totalReposCount: number;
    orgReposCount: any;
    getOrgs: string;
    getRepos: string;
    getUserRepos: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    constructor(log: object, error: object, userConfig: UserConfig, cli: object);
    load(): Promise<Repository[]>;
    private sleep;
    private getOrgsPagination;
    private loadOrganizations;
    private getReposPagination;
    private loadRepositories;
}
export {};
