interface UserConfig {
    fetch: {
        max_nodes: string;
    };
    github: {
        token: string;
        login: string;
    };
}
interface Organization {
    login: string;
    id: string;
}
interface Repository {
    name: string;
    id: string;
    org: Organization;
    active: boolean;
}
interface Issue {
    title: string;
    id: string;
    repo: Repository;
    org: Organization;
    updatedAt: string;
    createdAt: string;
    closedAt: string | null;
}
export default class FetchIssues {
    githubToken: string;
    githubLogin: string;
    maxQueryIncrement: number;
    configDir: string;
    log: any;
    cli: object;
    fetchedIssues: Array<object>;
    errorRetry: number;
    getIssues: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    cacheStream: any;
    constructor(log: object, userConfig: UserConfig, configDir: string, cli: object);
    load(repo: Repository, recentIssue: Issue | null): Promise<object[]>;
    private sleep;
    private getIssuesPagination;
    private loadIssues;
}
export {};
