interface UserConfig {
    fetch: {
        max_nodes: string;
    };
    github: {
        token: string;
        login: string;
    };
}
interface Organization {
    login: string;
    id: string;
}
interface Repository {
    name: string;
    id: string;
    org: Organization;
    active: boolean;
}
export default class FetchLabels {
    githubToken: string;
    githubLogin: string;
    maxQueryIncrement: number;
    configDir: string;
    log: any;
    cli: object;
    fetchedLabels: Array<object>;
    errorRetry: number;
    getLabels: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    cacheStream: any;
    constructor(log: object, userConfig: UserConfig, configDir: string, cli: object);
    load(repo: Repository): Promise<object[]>;
    private sleep;
    private getLabelsPagination;
    private loadLabels;
}
export {};
