interface UserConfig {
    fetch: {
        max_nodes: string;
    };
    github: {
        token: string;
        login: string;
    };
}
interface Organization {
    login: string;
    id: string;
}
interface Repository {
    name: string;
    id: string;
    org: Organization;
    active: boolean;
}
interface Project {
    title: string;
    id: string;
    repo: Repository;
    org: Organization;
    updatedAt: string;
    createdAt: string;
    closedAt: string | null;
}
export default class FetchProjects {
    githubToken: string;
    githubLogin: string;
    maxQueryIncrement: number;
    configDir: string;
    log: any;
    cli: object;
    fetchedProjects: Array<object>;
    fetchedOrgProjects: Array<object>;
    errorRetry: number;
    getProjects: string;
    getOrgProjects: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    cacheProjectsStream: any;
    cacheOrgProjectsStream: any;
    constructor(log: object, userConfig: UserConfig, configDir: string, cli: object);
    load(repo: Repository, recentProject: Project | null): Promise<object[]>;
    loadOrgProjects(org: Organization, recentProject: Project | null): Promise<object[]>;
    private getOrgProjectsPagination;
    private getProjectsPagination;
    private sleep;
    private ingestOrgProjects;
    private ingestProjects;
}
export {};
