interface UserConfig {
    fetch: {
        max_nodes: string;
    };
    github: {
        token: string;
        login: string;
    };
}
interface Organization {
    login: string;
    id: string;
}
interface Repository {
    name: string;
    id: string;
    org: Organization;
    active: boolean;
}
interface Pullrequest {
    title: string;
    id: string;
    repo: Repository;
    org: Organization;
    updatedAt: string;
    createdAt: string;
    closedAt: string | null;
}
export default class FetchPullrequests {
    githubToken: string;
    githubLogin: string;
    maxQueryIncrement: number;
    configDir: string;
    log: any;
    cli: object;
    fetchedPullrequests: Array<object>;
    errorRetry: number;
    getPullrequests: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    cacheStream: any;
    constructor(log: object, userConfig: UserConfig, configDir: string, cli: object);
    load(repo: Repository, recentPullrequest: Pullrequest | null): Promise<object[]>;
    private sleep;
    private getPullrequestsPagination;
    private loadPullrequests;
}
export {};
