"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const query = `
  query ($repo_cursor: String, $increment: Int, $org_name: String!, $repo_name: String!){
    rateLimit {
      limit
      cost
      remaining
      resetAt
    }
    repository(owner:$org_name, name:$repo_name) {
      name
      url
      id
      databaseId
      labels(first: $increment, after: $repo_cursor) {
        totalCount
        edges {
          cursor
          node {
             id
             url
             color
             name
             description
             isDefault
             createdAt
             updatedAt
             issues(first: 1) {
               totalCount
             }
             pullRequests(first: 1) {
               totalCount
             }
          }
        }
      }
    }
  }
`;
exports.default = query;
