declare const yaml = "\n#https://www.elastic.co/guide/en/elasticsearch/plugins/current/mapper-size-usage.html\n_source:\n  enabled: true\nproperties:\n  # Core properties of the entity\n  id:\n    type: keyword\n  createdAt:\n    type: date\n  updatedAt:\n    type: date\n  closedAt:\n    type: date\n  name:\n    type: text\n  body:\n    type: text\n  url:\n    type: keyword\n  databaseId:\n    type: integer\n  number:\n    type: integer\n  state:\n    type: keyword\n  # Core items attached to the entity, each should relate to other entites available in the overall datamodel\n  columns:\n    properties:\n      totalCount:\n        type: integer\n      edges:\n        type: nested\n        properties:\n          node:\n            properties:\n              id:\n                type: keyword\n              cards:\n                properties:\n                  totalCount:\n                    type: integer\n  pendingCards:\n    properties:\n      totalCount:\n        type: integer\n  org:\n    properties:\n      id:\n        type: keyword\n      login:\n        type: keyword\n      name:\n        type: text\n        fields:\n          raw:\n            type: keyword\n      url:\n        type: keyword\n  repo:\n    properties:\n      id:\n        type: keyword\n      databaseId:\n        type: integer\n      diskUsage:\n        type: integer\n      forkCount:\n        type: integer\n      isArchived:\n        type: boolean\n      isPrivate:\n        type: boolean\n      name:\n        type: text\n        fields:\n          raw:\n            type: keyword\n      url:\n        type: keyword\n      org:\n        properties:\n          id:\n            type: keyword\n          login:\n            type: keyword\n          name:\n            type: text\n            fields:\n              raw:\n                type: keyword\n          url:\n            type: keyword\n      owner:\n        properties:\n          id:\n            type: keyword\n          login:\n            type: keyword\n          url:\n            type: keyword\n";
export default yaml;
