declare const query = "\n  query ($repo_cursor: String, $increment: Int, $org_name: String!, $repo_name: String!){\n    rateLimit {\n      limit\n      cost\n      remaining\n      resetAt\n    }\n    repository(owner:$org_name, name:$repo_name) {\n      name\n      url\n      id\n      databaseId\n      issues(first: $increment, after: $repo_cursor, orderBy: {field: UPDATED_AT, direction: DESC}) {\n        totalCount\n        edges {\n         cursor\n          node {\n            id\n            createdAt\n            updatedAt\n            closedAt\n            databaseId\n            number\n            url\n            title\n            body\n            state\n            author {\n              login\n              avatarUrl\n              url\n            }\n            timelineItems(first: 30, itemTypes: [CROSS_REFERENCED_EVENT]) {\n              totalCount\n              edges {\n                node {\n                  ... on CrossReferencedEvent {\n                    id\n                    createdAt\n                    referencedAt\n                    resourcePath\n                    isCrossRepository\n                    url\n                    willCloseTarget\n                    source {\n                      ... on Issue {\n                        __typename\n                        id\n                        number\n                        title\n                        state\n                        url\n                      }\n                      ... on PullRequest {\n                        __typename\n                        id\n                        number\n                        title\n                        state\n                        url\n                      }\n                    }\n                    target {\n                      ... on Issue {\n                        __typename\n                        id\n                        number\n                        title\n                        state\n                        url\n                      }\n                      ... on PullRequest {\n                        __typename\n                        id\n                        number\n                        title\n                        state\n                        url\n                      }\n                    }\n                  }\n                }\n              }\n            }\n            labels (first: 10) {\n              totalCount\n              edges {\n                node {\n                  id\n                  color\n                  name\n                  description\n                }\n              }\n            }\n            milestone {\n              id\n              createdAt\n              updatedAt\n              closedAt\n              description\n              dueOn\n              issues (first: 1) {\n                totalCount\n              }\n              number\n              state\n              title\n              url\n            }\n            assignees(first: 10) {\n              totalCount\n              edges {\n                node {\n                  id\n                  avatarUrl\n                  login\n                  name\n                  url\n                }\n              }\n            }\n            comments(first: 1) {\n              totalCount\n            }\n            participants(first: 1) {\n              totalCount\n            }\n            projectCards(first: 5) {\n              totalCount\n              edges {\n                node {\n                  id\n                  project {\n                    id\n                    url\n                    name\n                  }\n                  column {\n                    id\n                    name\n                  }\n                }\n              }\n            }\n          }\n        }\n      }\n    }\n  }\n";
export default query;
